Bug 1240 - add option to disable bytecode interpreter in MCC
Summary: add option to disable bytecode interpreter in MCC
Status: RESOLVED WORKSFORME
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: Dimitrios Glentadakis
QA Contact:
URL: https://abf.rosalinux.ru/import/kdeba...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2011-05-11 06:55 CEST by Dimitrios Glentadakis
Modified: 2014-11-04 10:02 CET (History)
9 users (show)

See Also:
Source RPM: kdebase4
CVE:
Status comment:


Attachments
python3-qt4 script (9.04 KB, text/x-python)
2014-03-12 05:46 CET, Dimitrios Glentadakis
Details

Description Dimitrios Glentadakis 2011-05-11 06:55:29 CEST
As the bytecode interpreter is destructive for many users, i think we have to respect them too and not only them who loves this controversial feature, i propose to add an option to disable it (for the user or system wide) in the control center.

A related bug report here:
https://bugs.mageia.org/show_bug.cgi?id=175


Thanks,
a bytecode interpreter hater
Ahmad Samir 2011-05-11 07:10:30 CEST

CC: (none) => anssi.hannula

Comment 1 Ahmad Samir 2011-05-11 18:16:56 CEST
The thing is, the bytecode interpreter is a build time option, I am not sure it can be disabled after building by a runtime option/config...
Ahmad Samir 2011-05-11 18:17:07 CEST

Source RPM: (none) => freetype2

Comment 2 Anssi Hannula 2011-05-11 18:24:29 CEST
It can be, with the "autohint" fontconfig option.

IMO this belongs to the KDE/GNOME/etc font settings dialog, as that is where the other settings are as well.

I'm not against global MCC config, though.
Comment 3 Ahmad Samir 2011-05-11 18:36:59 CEST
(In reply to comment #2)
> It can be, with the "autohint" fontconfig option.
> 

I don't know, so I'll defer to you. :)

> IMO this belongs to the KDE/GNOME/etc font settings dialog, as that is where
> the other settings are as well.
> 
> I'm not against global MCC config, though.

I am more for the idea that is should be a DE font settings dialogue/tool option.
Comment 4 Tux99 2011-05-12 19:25:53 CEST
IMHO the bytecode interpreter should be disabled globally by default, the only screens were it doesn't look bad is on high dpi netbook/notebook screens.

Maybe we could have two variants of the package one that gets installed on netbooks/notebooks with bytecode enabled, and one that gets installed on desktops with bytecode disabled.

The per DE setting dialogs are unpractical, since they need to be set for each DE and aren't easy to find for someone who doesn't know where they are.
Also this is really a global setting not a DE setting.

CC: (none) => tux99

Comment 5 Ahmad Samir 2011-05-12 19:36:33 CEST
(In reply to comment #4)
> IMHO the bytecode interpreter should be disabled globally by default, the only
> screens were it doesn't look bad is on high dpi netbook/notebook screens.
> 

Fonts look much better here with BCI enabled, a 1920x1080 LCD monitor with 101 DPI.

> Maybe we could have two variants of the package one that gets installed on
> netbooks/notebooks with bytecode enabled, and one that gets installed on
> desktops with bytecode disabled.
> 

I don't think that's needed at all since there's a runtime config that controls it, c.f. comment#2.

> The per DE setting dialogs are unpractical, since they need to be set for each
> DE and aren't easy to find for someone who doesn't know where they are.
> Also this is really a global setting not a DE setting.

Really? and where do users:
- Set sub-pixel rendering options
- Enable/disable fonts anti-aliasing
- Set the hinting style
- the various UI font sizes

all that is done via the DE font config tool, and those preferences vary from one user to another. So the BCI/Autohinting settings should be in each DE font configuration tool.
Comment 6 Tux99 2011-05-12 19:45:21 CEST
> > The per DE setting dialogs are unpractical, since they need to be set for each
> > DE and aren't easy to find for someone who doesn't know where they are.
> > Also this is really a global setting not a DE setting.
> 
> Really? and where do users:
> - Set sub-pixel rendering options
> - Enable/disable fonts anti-aliasing
> - Set the hinting style
> - the various UI font sizes

And how many average users know about those settings and even more so know what those settings actually mean?

It's first impressions that count and with bytecode interpreter enabled fonts look really bad on many screens (I have seen this myself and/or received comments from users for at least 20-30 installs over the last few years with plf v. mdv freetype2 packages), while the improvement on screens where it looks better are only slight.
Comment 7 Dimitrios Glentadakis 2011-05-12 20:12:10 CEST
I agree that is better in the DE settings. Example for KDE with the fonts settings, as mentioned Ahmad. Is the place that every user will go to try to configure his fonts

I proposed the Mageia control center because i dont know if it is possible to make a request to each DE project to add this feature. May be the easier way is the MCC as it will be available for all DE.
Marja Van Waes 2011-10-13 06:40:22 CEST

CC: (none) => marja11
Source RPM: freetype2 => freetype2 drakxtools

Comment 8 Marja Van Waes 2011-11-11 16:56:51 CET
(In reply to comment #7)
> I agree that is better in the DE settings. Example for KDE with the fonts
> settings, as mentioned Ahmad. Is the place that every user will go to try to
> configure his fonts

Not every user, I'd try drakfont because I use MCC a lot and hardly ever look at the KDE system settings

> 
> I proposed the Mageia control center because i dont know if it is possible to
> make a request to each DE project to add this feature. May be the easier way is
> the MCC as it will be available for all DE.

@ Thierry

assigning to you because of the wish to get this in MCC

Assignee: bugsquad => thierry.vignaud

Comment 9 Thierry Vignaud 2011-11-22 13:26:38 CET
I'm convinced this should go into mcc
I think this should be in KDE/GNOME preferences
Dan Joita 2012-03-07 11:18:00 CET

CC: (none) => djmarian4u
Summary: Add option to disable bytecode interpreter in MCC => add option to disable bytecode interpreter in MCC

Comment 10 Marja Van Waes 2012-05-26 13:04:08 CEST
Hi,

This bug was filed against cauldron, but we do not have cauldron at the moment.

Please report whether this bug is still valid for Mageia 2.

Thanks :)

Cheers,
marja

Keywords: (none) => NEEDINFO

Comment 11 Marja Van Waes 2012-06-16 19:34:40 CEST
(In reply to comment #9)
> I'm convinced this should go into mcc
> I think this should be in KDE/GNOME preferences

@ Thierry

In which line should the word *not* be added?

@ everyone

Is this request still valid/needed?
David Walser 2012-12-05 13:12:27 CET

CC: (none) => luigiwalser, nicolas.lecureuil

David Walser 2012-12-05 13:12:43 CET

CC: (none) => balcaen.john

Comment 12 David Walser 2012-12-05 13:13:22 CET
This is fixed in KDE in ROSA.  A ROSA developer alerted me to this.

Here's their patch:
https://abf.rosalinux.ru/import/kdebase4-workspace/raw/rosa2012.1/kde-workspace-4.9.4-fontconfig.patch
Comment 13 Thierry Vignaud 2012-12-05 14:17:53 CET
(In reply to comment #11)
@marja: to the first one obviously :-)

reassigning because of the patch.

Keywords: (none) => PATCH
URL: (none) => https://abf.rosalinux.ru/import/kdebase4-workspace/raw/rosa2012.1/kde-workspace-4.9.4-fontconfig.patch
Assignee: thierry.vignaud => nicolas.lecureuil
Source RPM: freetype2 drakxtools => kdebase4

Comment 14 roelof Wobben 2013-01-08 08:55:38 CET
Removed because the requested info is given.

Roelof

Keywords: NEEDINFO => (none)
CC: (none) => r.wobben

Comment 15 Alex Loginov 2013-06-21 17:44:08 CEST
When will this patch be added?

CC: (none) => loginov_alex

Comment 16 Dimitrios Glentadakis 2013-06-22 07:27:50 CEST
I asked to add it upstream:
https://bugs.kde.org/show_bug.cgi?id=321481
Comment 17 Alex Loginov 2013-06-22 08:23:32 CEST
Upstream may add this patch through some years. Why is it waiting to add in Mageia?
Comment 18 Dimitrios Glentadakis 2013-06-23 08:44:52 CEST
Nicolas, do you think something about this ? 
Please tell us,
thanks in advance.
Comment 19 Dimitrios Glentadakis 2013-09-02 11:46:11 CEST
May be you want to vote for it:
http://forum.kde.org/viewtopic.php?f=83&t=117320
Comment 20 Dimitrios Glentadakis 2014-03-12 05:46:14 CET
Created attachment 5048 [details]
python3-qt4 script

did it by my own
Dimitrios Glentadakis 2014-03-12 05:46:57 CET

Assignee: mageia => dglent

Comment 21 Dimitrios Glentadakis 2014-03-12 05:47:43 CET
for comment 20

Status: NEW => RESOLVED
Resolution: (none) => WORKSFORME

Comment 22 Dimitrios Glentadakis 2014-04-12 10:59:41 CEST
This rpm installs the script and adds a desktop entry in menu>Settings http://glenbox.free.fr/autohint-onoff/autohint-onoff-1.0-2mgr5.noarch.rpm
Comment 23 Alex Loginov 2014-04-12 17:28:18 CEST
Dimitrios, thank you,

- button "Close..." does not work and I can not close program using "x" button if there is no ~/.config/fontconfig directory.
- missing localization for program and for .desktop.
- button "Close..." should be "Close", because If to press here, then there is no new window (standard for using "...")

Works for me.
Comment 24 Dimitrios Glentadakis 2014-04-13 06:39:41 CEST
Thanks Alex for found this. I corrected and i changed the 'Close' to 'OK' (without ...) and the 'x' of the window close the dialog and discards the changes

Next step, i will add the i18n support

http://glenbox.free.fr/autohint-onoff/autohint-onoff-1.1-1mgr5.noarch.rpm
Comment 25 Alex Loginov 2014-04-15 15:58:18 CEST
Seems OK.
Maybe to add Cancel button also? And I want to translate.
Good job!

Status: RESOLVED => REOPENED
Resolution: WORKSFORME => (none)

Comment 27 Alex Loginov 2014-04-18 21:23:12 CEST
I have only 1 proposal to change desktop file in new version:

Exec=autohint-onoff

Program works fine. Bug is fully resolved.

Status: REOPENED => RESOLVED
Resolution: (none) => WORKSFORME

Comment 28 Dimitrios Glentadakis 2014-04-19 13:06:26 CEST
I will take a look, i wanted to have the script in /usr/share and an executable in /usr/bin in case that you wanted to launch it in terminal; most to avoid the icon jumping
Comment 29 Dimitrios Glentadakis 2014-04-20 08:22:53 CEST
(In reply to Alex Loginov from comment #27)
> I have only 1 proposal to change desktop file in new version:
> 
> Exec=autohint-onoff
> 
> Program works fine. Bug is fully resolved.

Hi Alex, the above is ok in version 1.6
Comment 30 Dimitrios Glentadakis 2014-11-04 10:02:20 CET
The option to enable/disable autohint has been added in lxqt control panel:
https://github.com/lxde/lxqt-config/pull/13#event-187605798

Note You need to log in before you can comment on or make changes to this bug.